Production · Profile
3 operations in the production.profile namespace.
production.profile.createProfile
Section titled “production.profile.createProfile”Create a roast profile
POST /rpc/v1/production.profile.createProfileRequires permission production.profile.write and the roasting module on the organization’s plan.
Request
Section titled “Request”| Field | Type | Required | Description |
|---|---|---|---|
name |
string | yes | |
code |
string | yes | |
machineId |
string | no | |
targetChargeKg |
string | no | |
targetDropTempC |
string | no | |
targetTotalTimeS |
integer | no | |
targetDtrPct |
string | no | |
notes |
string | no |
Example
Section titled “Example”curl -X POST https://api.roastery.run/rpc/v1/production.profile.createProfile \ -H "Authorization: Bearer $ROASTERY_API_KEY" \ -H "X-Roastery-Org: $ORG_ID" \ -H "Content-Type: application/json" \ -d '{}'production.profile.getProfile
Section titled “production.profile.getProfile”Get a roast profile
POST /rpc/v1/production.profile.getProfileAlso available as GET with a URL-encoded input query parameter, so the response can be HTTP-cached.
Requires permission production.profile.read and the roasting module on the organization’s plan.
Request
Section titled “Request”| Field | Type | Required | Description |
|---|---|---|---|
id |
string | yes |
Example
Section titled “Example”curl -X POST https://api.roastery.run/rpc/v1/production.profile.getProfile \ -H "Authorization: Bearer $ROASTERY_API_KEY" \ -H "X-Roastery-Org: $ORG_ID" \ -H "Content-Type: application/json" \ -d '{}'production.profile.listProfiles
Section titled “production.profile.listProfiles”List roast profiles
POST /rpc/v1/production.profile.listProfilesAlso available as GET with a URL-encoded input query parameter, so the response can be HTTP-cached.
Requires permission production.profile.read and the roasting module on the organization’s plan.
Request
Section titled “Request”| Field | Type | Required | Description |
|---|---|---|---|
filter |
object | no | |
page |
object | no |
Example
Section titled “Example”curl -X POST https://api.roastery.run/rpc/v1/production.profile.listProfiles \ -H "Authorization: Bearer $ROASTERY_API_KEY" \ -H "X-Roastery-Org: $ORG_ID" \ -H "Content-Type: application/json" \ -d '{}'